Bug 250392

Summary: devel/pycharm-pro: update to 2020.2.3
Product: Ports & Packages Reporter: Guido Kollerie <guido>
Component: Individual Port(s)Assignee: Li-Wen Hsu <lwhsu>
Status: Closed FIXED    
Severity: Affects Some People CC: fernape, lwhsu
Priority: --- Keywords: buildisok
Version: LatestFlags: lwhsu: merge-quarterly+
Hardware: Any   
OS: Any   
URL: https://confluence.jetbrains.com/display/PYH/PyCharm+2020.2.3+Release+Notes
Attachments:
Description Flags
PyCharm Professional port (update to 2020.2.3) (SVN diff from ports tree base) guido: maintainer-approval+

Description Guido Kollerie 2020-10-16 11:29:30 UTC
Created attachment 218793 [details]
PyCharm Professional port (update to 2020.2.3) (SVN diff from ports tree base)

Update PyCharm Pro to version 2020.2.3

In addition modified LICENSE_PERMS to further tweak redistribution (distfiles are not allowed, packages however are allowed).
Comment 1 Automation User 2020-10-16 15:10:44 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/203538672
Comment 2 Fernando ApesteguĂ­a freebsd_committer 2020-10-19 14:11:38 UTC
^Triage: Bugfix release, merge to quarterly branch.


Thanks!
Comment 3 commit-hook freebsd_committer 2020-10-27 14:51:06 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Oct 27 14:50:09 UTC 2020
New revision: 553448
URL: https://svnweb.freebsd.org/changeset/ports/553448

Log:
  devel/pycharm-pro: update to 2020.2.3

  Change log: https://confluence.jetbrains.com/display/PYH/PyCharm+2020.2.3+Release+Notes

  PR:		250392
  Submitted by:	Guido Kollerie <guido@kollerie.com> (maintainer)
  MFH:		2020Q4

Changes:
  head/devel/pycharm-pro/Makefile
  head/devel/pycharm-pro/distinfo
Comment 4 commit-hook freebsd_committer 2020-10-29 18:53:59 UTC
A commit references this bug:

Author: lwhsu
Date: Thu Oct 29 18:53:40 UTC 2020
New revision: 553632
URL: https://svnweb.freebsd.org/changeset/ports/553632

Log:
  MFH: r553448

  devel/pycharm-pro: update to 2020.2.3

  Change log: https://confluence.jetbrains.com/display/PYH/PyCharm+2020.2.3+Release+Notes

  PR:		250392
  Submitted by:	Guido Kollerie <guido@kollerie.com> (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/devel/pycharm-pro/Makefile
  branches/2020Q4/devel/pycharm-pro/distinfo